Bug 1551316 - New upstream with new version available [NEEDINFO]
Summary: New upstream with new version available
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: moodbar
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: john5342
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1545444 1604881
TreeView+ depends on / blocked
 
Reported: 2018-03-04 18:13 UTC by Christian Stadelmann
Modified: 2019-06-22 11:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
fedora: needinfo? (extras-qa)


Attachments (Terms of Use)

Description Christian Stadelmann 2018-03-04 18:13:00 UTC
Description of problem:
This project got a new upstream, https://github.com/exaile/moodbar. They have released a new version a few days ago.

Version-Release number of selected component (if applicable):
Fedora: 0.1.2
Upstream: 1.0

The new version also uses GStreamer 1.x instead of 0.10.x and still depends on fftw 3.x.

Comment 1 Christian Stadelmann 2018-09-05 09:43:20 UTC
According to

    $ dnf repoquery --alldeps --whatrequires moodbar

no package does depend on moodbar. As a result, updating this package will not break anything anywhere.

Comment 2 Christian Stadelmann 2018-09-05 11:33:33 UTC
The next version of Exaile, 4.0, will depend on or require moodbar, so this package is not obsolete.

I've updated the spec file and removed the outdated patch against glib. I've created a pull request at https://src.fedoraproject.org/rpms/moodbar/pull-request/1

Koji build ran successfully: https://koji.fedoraproject.org/koji/taskinfo?taskID=29495834

Comment 3 Christian Stadelmann 2018-09-05 11:34:37 UTC
As no other package is affected, this update may also be pushed to F29 imho.

Comment 4 Christian Stadelmann 2018-10-08 14:04:27 UTC
This issue is still present on Fedora 29 Beta.

Comment 5 Christian Stadelmann 2019-04-27 12:03:41 UTC
Note: Upstream has a new version, 1.1, which fails to test on Fedora's secondary arches. This issue is tracked upstream: https://github.com/exaile/moodbar/issues/8

Comment 6 Christian Stadelmann 2019-05-09 19:47:47 UTC
(In reply to Christian Stadelmann from comment #5)
> Note: Upstream has a new version, 1.1, which fails to test on Fedora's
> secondary arches. This issue is tracked upstream:
> https://github.com/exaile/moodbar/issues/8

Upstream has released 1.1.1 which fixes the build issue on secondary aches. Can you please update moodbar?

Comment 7 Christian Stadelmann 2019-06-22 11:48:55 UTC
*bump* Can I please get any response from the package maintainer?


Note You need to log in before you can comment on or make changes to this bug.